<?php

    function echoUrl($url)
    {
        echo "<a href=\"$url\">$url</a>";
    }

    ?>

See <?php echoUrl('https://gitea.lemnoslife.com/Benjamin_Loison/YouTube_captions_search_engine'); ?> for more information.<br/>

<form id="form">
    <input type="text" autofocus id="search" pattern="[A-Za-z0-9-_ ]+" placeholder="Your [A-Za-z0-9-_ ]+ search"></input>
    <input type="submit" value="Search">
</form>

<script>
    var firstRun = true;
    var conn;

    function search(event) {
        // We don't want to refresh the webpage which is the default behavior.
        event.preventDefault();
        const query = document.getElementById('search').value;
        if (firstRun) {
            firstRun = false;
            conn = new WebSocket('wss://crawler.yt.lemnoslife.com/websocket');
            conn.onmessage = function(e) { console.log(e.data); };
            // We can't directly proceed with `conn.send`, as the connection may not be already established.
            conn.onopen = function(e) { conn.send(query); };
        } else {
            // We assume at this point that the connection is established.
            conn.send(query);
        }
    }

    var form = document.getElementById('form');
    form.addEventListener('submit', search);
</script>
